Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.profiling.profiler
Class ServletProfiler

    java.lang.Object
      org.apache.cocoon.profiling.profiler.Profiler<Servlet>
          org.apache.cocoon.profiling.profiler.ServletProfiler

    public class ServletProfiler

extends Profiler<Servlet>

The profiler for `Servlet`, which intercepts the service method to add the profiling id information to the HTTP header.

Field Summary

Fields inherited from class org.apache.cocoon.profiling.profiler.Profiler
`logger`

Constructor Summary
`` | `ServletProfiler()`
`protected` | `ServletProfiler(Class<? extends Servlet> clazz)`

Method Summary
`void` | `beforeService(ProfilingData data, Servlet component, Object[] args)`
`String` | `createRelativeUrl(String inputUrl, String profilingId)`
`String` | `getMountPath()`
`void` | `setMountPath(String mountPath)`

Methods inherited from class org.apache.cocoon.profiling.profiler.Profiler
`after, before, exception, getTargetClass, setProfilingDataManager, setProfilingIdGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletProfiler

    public ServletProfiler()

### ServletProfiler

    protected ServletProfiler(Class<? extends Servlet> clazz)

Method Detail

### beforeService

    public final void beforeService(ProfilingData data,
                                    Servlet component,
                                    Object[] args)

### createRelativeUrl

    public String createRelativeUrl(String inputUrl,
                                    String profilingId)

### getMountPath

    public String getMountPath()

### setMountPath

    public void setMountPath(String mountPath)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.